## ev-link

ev-link

## Functions

EvLink * | ev_link_new ()
const gchar * | ev_link_get_title ()
EvLinkAction * | ev_link_get_action ()

## Properties

EvLinkAction * | action | Read / Write / Construct Only
gchar * | title | Read / Write / Construct Only

## Types and Values

| EvLink
| EvLinkClass

## Object Hierarchy

        GObject
        ╰── EvLink

## Description

## Functions

### ev_link_new ()

    EvLink *
    ev_link_new (const gchar *title,
                 EvLinkAction *action);

#### Returns

### ev_link_get_title ()

    const gchar *
    ev_link_get_title (EvLink *self);

#### Returns

### ev_link_get_action ()

    EvLinkAction *
    ev_link_get_action (EvLink *self);

#### Parameters

self | an EvLink |

#### Returns

an EvLinkAction.

[transfer none]

## Types and Values

### EvLink

    typedef struct _EvLink EvLink;

### EvLinkClass

    typedef struct _EvLinkClass EvLinkClass;

## Property Details

### The `“action”` property

      “action”                   EvLinkAction *

The link action.

Flags: Read / Write / Construct Only

### The `“title”` property

      “title”                    gchar *

The link title.

Flags: Read / Write / Construct Only

Default value: NULL